diff -Naur bluemon.orig/bluemon-1.4/debian/changelog bluemon/bluemon-1.4/debian/changelog
--- bluemon.orig/bluemon-1.4/debian/changelog	2014-02-24 19:16:39.156132167 -0600
+++ bluemon/bluemon-1.4/debian/changelog	2014-02-24 20:08:42.043478297 -0600
@@ -1,3 +1,10 @@
+bluemon (1.4-7) unstable; urgency=low
+
+  * Fix FTBFS with clang:
+    - Fixed the non-void function should return a value in
+      bluetooth-monitor.c
+ -- Arthur Marble <arthur@info9.net>  Mon, 24 Feb 2014 20:08:42 -0600
+
 bluemon (1.4-6) unstable; urgency=low
 
   * Change dependency bluez-utils => bluez (Closes: #534315)
diff -Naur bluemon.orig/bluemon-1.4/debian/patches/clang-ftbfs.diff bluemon/bluemon-1.4/debian/patches/clang-ftbfs.diff 
--- bluemon.orig/bluemon-1.4/debian/patches/clang-ftbfs.diff	1969-12-31 18:00:00.000000000 -0600
+++ bluemon/bluemon-1.4/debian/patches/clang-ftbfs.diff	2014-02-24 20:05:56.103475407 -0600
@@ -0,0 +1,12 @@
+--- a/bluetooth-monitor.c
++++ b/bluetooth-monitor.c
+@@ -296,8 +296,7 @@ int get_link_qual(btdev_t* btdev)
+    if (opts.linkquality || args.linkquality) {
+       cr = malloc(sizeof(*cr) + sizeof(struct hci_conn_info));
+       if (!cr)
+-         return;
+-
++	 return 0;
+       bacpy(&cr->bdaddr, &(btdev->bdaddr));
+       cr->type = ACL_LINK;
+       if (ioctl(btdev->dd, HCIGETCONNINFO, (unsigned long) cr) < 0) {
diff -Naur bluemon.orig/bluemon-1.4/debian/patches/series bluemon/bluemon-1.4/debian/patches/series 
--- bluemon.orig/bluemon-1.4/debian/patches/series	2014-02-24 19:16:39.156132167 -0600
+++ bluemon/bluemon-1.4/debian/patches/series	2014-02-24 19:17:18.592132854 -0600
@@ -1 +1,2 @@
 fix-system-bus-permissions.diff
+clang-ftbfs.diff
